/**
Theme Name: Mozart Astra Child
Version: 1.0.0
Text Domain: astra-child
Template: astra
*/

@font-face {
    font-family: "Source Sans Pro";
    font-weight: 400;
    font-style: normal;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/SourceSansPro/SourceSansPro-Regular.woff2') format('woff2');
}

@font-face {
    font-family: "Source Sans Pro";
    font-weight: 400;
    font-style: italic;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/SourceSansPro/SourceSansPro-Italic.woff2') format('woff2');
}

@font-face {
    font-family: "Source Sans Pro";
    font-weight: 600;
    font-style: normal;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/SourceSansPro/SourceSansPro-SemiBold.woff2') format('woff2');
}

@font-face {
    font-family: "Source Sans Pro";
    font-weight: 600;
    font-style: italic;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/SourceSansPro/SourceSansPro-SemiBoldItalic.woff2') format('woff2');
}

@font-face {
    font-family: "Source Sans Pro";
    font-weight: 700;
    font-style: normal;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/SourceSansPro/SourceSansPro-Bold.woff2') format('woff2');
}

@font-face {
    font-family: "Source Sans Pro";
    font-weight: 700;
    font-style: italic;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/SourceSansPro/SourceSansPro-BoldItalic.woff2') format('woff2');
}

@font-face {
    font-family: "Outfit";
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url('/wp-content/themes/astra-child/assets/fonts/Outfit/Outfit-VariableFont_wght.ttf') format('truetype');
}

/*Bed configurator heigh*/
#mozart-bed-configurator {
    min-height: 100vh;
}

@media (max-width: 767px) {
    #mozart-bed-configurator {
        min-height: auto;
    }
}

/* Bed Cart item popup. */

.mt-bed-cart-item-popup .mt-meta {
    margin-top: 15px;
}

.mt-bed-cart-item-popup .mt-meta ul {
    margin: 0;
    list-style: none;
}

.mt-bed-cart-item-popup .mt-meta ul li {
    display: flex;
    padding: 15px 0px;
    gap: 10px;
    justify-content: space-between;
    align-items: flex-start;
    align-self: stretch;
}

.mt-bed-cart-item-popup .mt-meta ul li b {
    text-align: right;
}

.mt-bed-cart-item-popup .mt-meta ul li:not(:last-child) {
    border-bottom: 1px solid #EAEAF1;
}

/* Sample Box Cart item popup. */

.mt-sample-box-cart-item-popup .mt-preview {
    display: flex;
    justify-content: center;
    margin-top: -5px;
    overflow-x: auto;
}

.mt-sample-box-cart-item-popup .mt-preview > div {
    flex-basis: 90px;
    flex-grow: 0;
    flex-shrink: 0;
    margin: 5px;
    text-align: center;
}

.mt-sample-box-cart-item-popup .mt-preview img {
    height: 90px;
    object-fit: cover;
    margin-bottom: 5px;
    border-radius: 50%;
}

.mt-sample-box-cart-item-popup .mt-preview p {
    margin-bottom: 0;
    font-size: 13px;
    color: #828098;
    line-height: 1;
    font-weight: 600;
}

@media (max-width: 550px) {
    .mt-sample-box-cart-item-popup .mt-preview {
        justify-content: flex-start;
    }
}

/* Brizy mini cart */

.brz-woocart__sidebar__product-name dl.variation {
    margin-top: 10px;
    margin-bottom: 10px;
}

.brz-woocart__sidebar__product-name dl.variation dt {
    float: left;
    clear: both;
    margin-right: 2px;
    display: inline-block;
    list-style: none outside
}

.brz-woocart__sidebar__product-name dl.variation dd {
    margin-left: 0;
    margin-right: 0;
}

.brz-woocart__sidebar__product-name dl.variation dt,
.brz-woocart__sidebar__product-name dl.variation dd {
    margin-bottom: 2px;
}

.brz-woocart__sidebar__product-name dl.variation p {
    margin: 0;
}

/* WC shop notifications. */
.woocommerce-store-notice, p.demo_store {
    position: static;
}

.woocommerce-store-notice__dismiss-link {
    margin-left: 10px;
}

/* Variation form. */

.reset_variations {
    text-transform: none !important;
}

/* Variation info icon. */

.variations_form .variations td.label {
    display: flex !important;
    align-items: center;
}

.variations_form .variations td.label i {
    width: 25px;
    height: 25px;
    margin-left: auto;
    margin-top: 5px;
    margin-bottom: 5px;
    cursor: pointer;
}

.variations_form .variations td.label i svg {
    width: 100%;
    height: 100%;
    color: #AEADBC;
}

/* Variation attribute selector as checkbox. */

.mozart-checkbox-attribute-selector {
    display: flex;
    align-items: center;
    margin-top: 15px;
}

.mozart-checkbox-attribute-selector > input {
    margin-right: 10px;
}

.mozart-checkbox-attribute-selector > span {
    margin-left: auto;
    font-weight: 400;
}

.mozart-checkbox-attribute-selector + .reset_variations {
    margin-top: 15px;
}

/* Sample box picker - Sale info */
.mozart-sample-box-picker_sale-info {
    max-width: 374px !important;
}
@media (max-width: 767px) {
    .mozart-sample-box-picker_sale-info {
        max-width: 100% !important;
    }
}

/* A/B Test: Checkout: Adding new seals */
.fc-thank-you-page .fc-footer__inner,
.fc-checkout-page .fc-footer__inner {
    align-items: center;
    justify-content: space-between;
}

.fc-thank-you-page .checkout-seals-wrapper,
.fc-checkout-page .checkout-seals-wrapper {
    width: auto;
    text-align: center;
}

.fc-thank-you-page .checkout-seals-wrapper img,
.fc-checkout-page .checkout-seals-wrapper img {
    width: 70px;
    height: 112px;
}

.fc-thank-you-page .checkout-seals-wrapper a,
.fc-checkout-page .checkout-seals-wrapper a {
    margin: 0 8px;
}

@media (max-width: 767px) {
    .fc-thank-you-page .checkout-seals-wrapper,
    .fc-checkout-page .checkout-seals-wrapper {
        margin-top: 22px !important;
    }
}

@media (max-width: 767px) {
    .cart:has(#mozart-sample-box-picker) {
        width: 100%;
    }

    .cart #mozart-sample-box-picker {
        width: 100%;
    }
}

.mozart-sample-box-interest {
    display: none;
}

/*Skeleton loader to shipping methods for A/B tests*/
/*.fc-shipping-methods--loading .fc-shipping-methods__item {*/
/*    position: relative;*/
/*}*/

/*Shipping methods loader*/
/*.fc-shipping-methods--loading .fc-shipping-methods__item::before, .fc-shipping-methods--loading .fc-shipping-methods__item::after {*/
/*    content: '';*/
/*    position: absolute;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    top: 0;*/
/*    left: 0;*/
/*    z-index: 1;*/
/*    background: #f6f7f9;*/
/*}*/

/*.fc-shipping-methods--loading .fc-shipping-methods__item::after {*/
/*    z-index: 2;*/
/*    background-image: linear-gradient(to right, #f6f7f9 0%, #e9ebee 20%, #f6f7f9 40%, #f6f7f9 100%);*/
/*    background-repeat: no-repeat;*/
/*    background-size: 450px 100%;*/
/*    animation: shimmer 2s linear infinite;*/
/*}*/

/*@keyframes shimmer {*/
/*    0% {*/
/*        background-position: -450px 0;*/
/*    }*/
/*    100% {*/
/*        background-position: 450px 0;*/
/*    }*/
/*}*/

/* 85ee7f3996: A/B Test: Dynamic "Bettkasten" Name */
.a-b-test-storage-in-liter-in-upgrade-name {
    display: none;
}

pre.wp-block-verse {
    font-family: inherit;
}

.mozart-save-user-init-form {
    display: none;
}

section#shipping .fc-info-box{
    display:none;
}